Subject: Re: zImage.elf loads but does not start

From: Andrei Konovalov <[email-masked]>
Date: Tue, 15 May 2007 16:29:32 +0400

Hi Mirek,

Mirek23 wrote:
>> It seems to be that the console works fine and the root file system is
> mounted properly via NFS.
>> I do not however understand why eldk4.1 init does not work.
> 
> I have done some more investigations. My observation is as following:
> 
> The eldk4.1/ppc_4xx root file system has the init which is not statically
> built. When I removed the lib directory on the
> NFS server:/opt/eldk4.1/ppc_4xx/lib the kernel has booted up to the point:
> 
> [    9.302101] VFS: Mounted root (nfs filesystem).
> [    9.357642] Freeing unused kernel memory: 96k init
> [    9.481509] Kernel panic - not syncing: No init found.  Try passing init=
> option to kernel.
> 
> 
> When the lib directory was present the last printed message was:
> [    9.357642] Freeing unused kernel memory: 96k init

Any NFS timeouts after reaching this point? Any network activity at all?
(NFS timeout is quite long, so waiting few minutes would make sense)

Thanks,
Andrei

> I have observed the same behaviour with busybox accessed via NFS.
> I have compiled busybox with crosstool-0.43 (gcc-4.0.2 glibc-2.3.2) because
> eldk4.1 crosscompilers failed to compile busybox. When using busybox mounted
> via NFS I copied the lib directory from crosstool.
> Unfortunately also this time the system hanged at init.
> 
> My own version of init which uses printf just to print the string to the
> screen runs however fine.
> 
> Would somebody have some suggestion what might cause the problem to properly
> launch the init command.
> 
> Best Regards
> 
> Mirek